"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.HighlighterX = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const HighlighterX = ({
  text,
  rules
}) => {
  const renderTextWithRules = (text, rules) => text && text.split(/\r?\n/).map((line, index) => /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    key: index
  }, renderWordsWithRules(line, rules), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "\n")));
  const renderWordsWithRules = (row, rules) => {
    return row.split(/(\s+)/).map((word, index) => {
      const {
        style,
        onPress
      } = getMatchingRule(word, rules) || {};
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        key: index,
        style: style,
        onPress: () => onPress && onPress(word)
      }, word);
    });
  };
  const getMatchingRule = (word, rules) => {
    for (const rule of rules) {
      const {
        pattern,
        style,
        onPress
      } = rule;
      if (word.match(pattern)) {
        return {
          style,
          onPress
        };
      }
    }
    return null;
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, renderTextWithRules(text, rules));
};
exports.HighlighterX = HighlighterX;
var _default = exports.default = HighlighterX;
//# sourceMappingURL=index.js.map