import React from 'react';
import { Text } from 'react-native';
export const HighlighterX = ({
  text,
  rules
}) => {
  const renderTextWithRules = (text, rules) => text && text.split(/\r?\n/).map((line, index) => /*#__PURE__*/React.createElement(Text, {
    key: index
  }, renderWordsWithRules(line, rules), /*#__PURE__*/React.createElement(Text, null, "\n")));
  const renderWordsWithRules = (row, rules) => {
    return row.split(/(\s+)/).map((word, index) => {
      const {
        style,
        onPress
      } = getMatchingRule(word, rules) || {};
      return /*#__PURE__*/React.createElement(Text, {
        key: index,
        style: style,
        onPress: () => onPress && onPress(word)
      }, word);
    });
  };
  const getMatchingRule = (word, rules) => {
    for (const rule of rules) {
      const {
        pattern,
        style,
        onPress
      } = rule;
      if (word.match(pattern)) {
        return {
          style,
          onPress
        };
      }
    }
    return null;
  };
  return /*#__PURE__*/React.createElement(Text, null, renderTextWithRules(text, rules));
};
export default HighlighterX;
//# sourceMappingURL=index.js.map